DiskDisk_idArtifact
Upsert artifact
Upload a file and create or update an artifact record under a disk. File size must not exceed the configured maximum upload size limit (default: 16MB).
Authorization
BearerAuth Authorization<token>
Project Bearer token (e.g., "Bearer sk-ac-xxxx")
In: header
Path Parameters
disk_id*string
Disk ID
Format
uuidRequest Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/disk/497f6eca-6276-4993-bfeb-53cbbbba6f08/artifact" \ -F file="string"{
"code": 0,
"error": "string",
"msg": "string",
"data": {
"created_at": "string",
"disk_id": "string",
"filename": "string",
"meta": {},
"path": "string",
"updated_at": "string"
}
}{
"code": 0,
"error": "string",
"msg": "string"
}